[package]
description = "OpenEthereum"
name = "openethereum"
# NOTE Make sure to update util/version/Cargo.toml as well
version = "3.0.1"
license = "GPL-3.0"
authors = [
	"OpenEthereum developers",
	"Parity Technologies <admin@parity.io>"
]

[dependencies]
ansi_term = "0.11"
atty = "0.2.8"
blooms-db = { path = "util/blooms-db" }
clap = "2"
cli-signer= { path = "cli-signer" }
client-traits = { path = "ethcore/client-traits" }
common-types = { path = "ethcore/types" }
ctrlc = { version = "3.1.4", features = ["termination"] }
dir = { path = "util/dir" }
docopt = "1.0"
engine = { path = "ethcore/engine" }
ethabi = { version = "12.0", optional = true }
ethcore = { path = "ethcore", features = ["parity"] }
ethcore-accounts = { path = "accounts", optional = true }
ethcore-blockchain = { path = "ethcore/blockchain" }
ethcore-call-contract = { path = "ethcore/call-contract", optional = true }
ethcore-db = { path = "ethcore/db" }
ethcore-io = { path = "util/io" }
ethcore-light = { path = "ethcore/light" }
ethcore-logger = { path = "parity/logger" }
ethcore-miner = { path = "miner" }
ethcore-network = { path = "util/network" }
ethcore-private-tx = { path = "ethcore/private-tx" }
ethcore-service = { path = "ethcore/service" }
ethcore-sync = { path = "ethcore/sync" }
ethereum-types = "0.9.0"
ethkey = { path = "accounts/ethkey" }
ethstore = { path = "accounts/ethstore" }
fdlimit = "0.1"
futures = "0.1"
hyper = { version = "0.12" }
journaldb = { path = "util/journaldb" }
jsonrpc-core = "14.0.3"
keccak-hash = "0.5.0"
kvdb = "0.5.0"
kvdb-rocksdb = "0.7.0"
log = "0.4"
migration-rocksdb = { path = "util/migration-rocksdb" }
node-filter = { path = "ethcore/node-filter" }
num_cpus = "1.2"
number_prefix = "0.2"
panic_hook = { path = "util/panic-hook" }
parity-bytes = "0.1"
parity-crypto = { version = "0.6.1", features = ["publickey"] }
parity-daemonize = "0.3"
parity-hash-fetch = { path = "updater/hash-fetch" }
parity-local-store = { path = "miner/local-store" }
parity-path = "0.1"
parity-rpc = { path = "rpc" }
parity-runtime = "0.1.1"
parity-secretstore = { git = "https://github.com/paritytech/secret-store", branch = "v1.x", optional = true }
parity-updater = { path = "updater" }
parity-util-mem = { version = "0.6.0", features = ["jemalloc-global"] }
parity-version = { path = "util/version" }
parking_lot = "0.10.0"
regex = "1.0"
registrar = { path = "util/registrar" }
rlp = "0.4.5"
rpassword = "1.0"
rustc-hex = "2.1.0"
semver = "0.9"
serde = "1.0"
serde_derive = "1.0"
serde_json = "1.0"
snapshot = { path = "ethcore/snapshot" }
spec = { path = "ethcore/spec" }
stats = { path = "util/stats" }
term_size = "0.3"
textwrap = "0.11.0"
toml = "0.5.6"
verification = { path = "ethcore/verification" }
prometheus = "0.9.0"

[build-dependencies]
rustc_version = "0.2"

[dev-dependencies]
pretty_assertions = "0.1"
ipnetwork = "0.12.6"
tempfile = "3.1"
fake-fetch = { path = "util/fake-fetch" }

[target.'cfg(windows)'.dependencies]
winapi = { version = "0.3.8", features = ["winsock2", "winuser", "shellapi"] }

[features]
default = ["accounts"]
accounts = ["ethcore-accounts", "parity-rpc/accounts"]
miner-debug = ["ethcore/miner-debug"]
json-tests = ["ethcore/json-tests"]
test-heavy = ["ethcore/test-heavy"]
evm-debug = ["ethcore/evm-debug"]
evm-debug-tests = ["ethcore/evm-debug-tests"]
slow-blocks = ["ethcore/slow-blocks"]
secretstore = ["parity-secretstore", "accounts", "ethabi", "ethcore-call-contract"]
final = ["parity-version/final"]
deadlock_detection = ["parking_lot/deadlock_detection"]
# hardcode version number 1.3.7 of parity to force an update
# in order to manually test that parity fall-over to the local version
# in case of invalid or deprecated command line arguments are entered
test-updater = ["parity-updater/test-updater"]

[lib]
path = "parity/lib.rs"

[[bin]]
path = "parity/main.rs"
name = "openethereum"

[profile.release]
debug = false
lto = true

[workspace]
# This should only list projects that are not
# in the dependency tree in any other way
# (i.e. pretty much only standalone CLI tools)
members = [
	"accounts/ethkey/cli",
	"accounts/ethstore/cli",
	"chainspec",
	"ethcore/wasm/run",
	"evmbin",
]
